Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Static Protected Attributes | List of all members
DisplayDevice Class Referenceabstract

`#include <platformVideo.h>`

Inheritance diagram for DisplayDevice:

## Public Member Functions
| DisplayDevice ()
virtual | ~DisplayDevice ()
virtual void | initDevice ()=0
virtual bool | activate (U32 width, U32 height, U32 bpp, bool fullScreen)=0
virtual void | shutdown ()=0
virtual bool | setScreenMode (U32 width, U32 height, U32 bpp, bool fullScreen, bool forceIt=false, bool repaint=true)=0
virtual bool | setResolution (U32 width, U32 height, U32 bpp)
virtual bool | toggleFullScreen ()
virtual void | swapBuffers ()=0
virtual const char * | getDriverInfo ()=0
virtual bool | getGammaCorrection (F32 &g)=0
virtual bool | setGammaCorrection (F32 g)=0
virtual bool | setVerticalSync (bool on)=0
bool | prevRes ()
bool | nextRes ()
const char * | getResolutionList ()
bool | isFullScreenOnly ()

## Static Public Member Functions
static void | init ()
static Resolution | getResolution ()
static bool | isFullScreen ()

## Public Attributes
const char * | mDeviceName

## Protected Attributes
Vector< Resolution > | mResolutionList
bool | mFullScreenOnly

## Static Protected Attributes
static Resolution | smCurrentRes
static bool | smIsFullScreen

## Constructor & Destructor Documentation

DisplayDevice | ( |  | ) |

virtual ~DisplayDevice | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual bool activate | ( | U32 | width,
|  | U32 | height,
|  | U32 | bpp,
|  | bool | fullScreen
| ) |  |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

virtual const char* getDriverInfo | ( |  | ) |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

virtual bool getGammaCorrection | ( | F32 & | g | ) |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

Resolution getResolution | ( |  | ) |
| inline static

const char * getResolutionList | ( |  | ) |

void init | ( |  | ) |
| static

virtual void initDevice | ( |  | ) |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

bool isFullScreen | ( |  | ) |
| inline static

bool isFullScreenOnly | ( |  | ) |
| inline

bool nextRes | ( |  | ) |

bool prevRes | ( |  | ) |

virtual bool setGammaCorrection | ( | F32 | g | ) |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

bool setResolution | ( | U32 | width,
|  | U32 | height,
|  | U32 | bpp
| ) |  |
| inline virtual

virtual bool setScreenMode | ( | U32 | width,
|  | U32 | height,
|  | U32 | bpp,
|  | bool | fullScreen,
|  | bool | forceIt = `false`,
|  | bool | repaint = `true`
| ) |  |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

virtual bool setVerticalSync | ( | bool | on | ) |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

virtual void shutdown | ( |  | ) |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

virtual void swapBuffers | ( |  | ) |
| pure virtual

Implemented in OpenGLDevice, and OpenGLDevice.

bool toggleFullScreen | ( |  | ) |
| inline virtual

## Member Data Documentation

const char* mDeviceName

bool mFullScreenOnly
| protected

Vector<Resolution> mResolutionList
| protected

Resolution smCurrentRes
| static protected

bool smIsFullScreen
| static protected

The documentation for this class was generated from the following files:

- platform/platformVideo.h
- platform/platformVideo.cc